package com.microservices.wiki.domain.members;


import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

@TableName("members")
public class Members {
    private Integer id;

    private Integer userId;

    private Integer projectId;

    private Date createdOn;

    private Boolean mailNotification;

    private Integer courseId;

    private Integer courseGroupId;

    private Integer isCollect;

    private Integer graduationGroupId;

    private Boolean isApplySignature;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public Boolean getMailNotification() {
        return mailNotification;
    }

    public void setMailNotification(Boolean mailNotification) {
        this.mailNotification = mailNotification;
    }

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public Integer getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Integer courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public Integer getIsCollect() {
        return isCollect;
    }

    public void setIsCollect(Integer isCollect) {
        this.isCollect = isCollect;
    }

    public Integer getGraduationGroupId() {
        return graduationGroupId;
    }

    public void setGraduationGroupId(Integer graduationGroupId) {
        this.graduationGroupId = graduationGroupId;
    }

    public Boolean getIsApplySignature() {
        return isApplySignature;
    }

    public void setIsApplySignature(Boolean isApplySignature) {
        this.isApplySignature = isApplySignature;
    }
}